Bug 57585 - 'trident' sound module _really_ broken in updates
'trident' sound module _really_ broken in updates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-16 18:36 EST by Michal Jaegermann
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-12-16 18:36:55 EST
Description of Problem:

A sound module for Trident cards in 2.4.9-12 sources is broken in more
ways that one.  After fixing an obvious "missing piece of a line" bug
and compiling 2.4.9-12custom with a trident module I see this:

Trident 4DWave/SiS 7018/ALi 5451,Tvia CyberPro 5050 PCI Audio, version
0.14.9c, 18:23:52 Dec 14 2001
trident: ALi Audio Accelerator found at IO 0x8000, IRQ 10
ac97_codec: AC97  codec, id: 0x0000:0x0000 (Unknown)
Unable to handle kernel paging request at virtual address 0000000000000000

While with correct versions of Trident (0.14.9d is only one example
of those) I get:

Trident 4DWave/SiS 7018/ALi 5451,Tvia CyberPro 5050 PCI Audio, version
0.14.9d, 13:54:10 Dec 16 2001
trident: ALi Audio Accelerator found at IO 0x8400, IRQ 10
ac97_codec: AC97 Audio codec, id: 0x4144:0x5348 (Analog Devices AD1881A)
ac97_codec: Secondary ac97 codec not present
trident: Running on Alpha system type Nautilus

In other words 'trident' from 2.4.9-12 trips badly on a missing
secondary codec.

Version-Release number of selected component (if applicable):

kernel-source-2.4.9-12

Note You need to log in before you can comment on or make changes to this bug.